<?php

include 'functions.php';
include 'mparser.php';
include 'objects.php';
session_start();
PrepareCore();
unlinkOldDeck();
CoreFluents();
if($_POST["db_host"]){
    $_SESSION["db_host"] = $_POST["db_host"];
    $_SESSION["db_name"] = $_POST["db_name"];
    $_SESSION["u_name"] = $_POST["u_name"];
    $_SESSION["u_pwd"] = $_POST["u_pwd"];
}
constructDeck($_SESSION["db_host"],$_SESSION["db_name"], $_SESSION["u_name"], $_SESSION["u_pwd"]);
MakeFirstInitially();
PrepareModules();
GenerateStart();
setModules();
$_SESSION["listcount"] = 0;
unset($_SESSION["dumo"]);
$_SESSION['way'] = 2;
$_SESSION["sel_action"] = FALSE;
$_SESSION["print"] = TRUE;
$_SESSION["engine_processing"] = TRUE;
$_SESSION['GameHandler'] = new GameHandler();
$_SESSION['GameHandler']->last_object = 200;
endScript("turn.php");
?>
